//
// Commune.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Commune: JSONEncodable {
    public var codeInsee: String?
    public var nom: String?
    public var codePostaux: [String]?
    public var latitude: String?
    public var longitude: String?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["codeInsee"] = self.codeInsee
        nillableDictionary["nom"] = self.nom
        nillableDictionary["codePostaux"] = self.codePostaux?.encodeToJSON()
        nillableDictionary["latitude"] = self.latitude
        nillableDictionary["longitude"] = self.longitude
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
